﻿using System;
using System.Data;
using System.IO;

namespace Samples
{
    public class Samples
    {
        public string ErrorMessage { get; private set; }

        public DataSet GetDataSetFromXML(string path)
        {
            DataSet ds = new DataSet();
            FileStream fsReadXml = new FileStream(path, FileMode.Open);
            try
            {
                ds.ReadXml(fsReadXml);
            }
            catch (Exception ex)
            {
                ErrorMessage = ex.Message;
            }
            finally
            {
                fsReadXml.Close();
            }
            return ds;
        }
    }
}
