* First show VFP date/datetime formats.

ltNow = datetime(2017, 10, 5, 14, 20, 0)
lcMessage = 'No format: ' + transform(ltNow) + chr(13) + ;
	'@D: ' + transform(ltNow, '@D') + chr(13) + ;
	'@E: ' + transform(ltNow, '@E') + chr(13) + ;
	'@YL: ' + transform(ltNow, '@YL') + chr(13) + ;
	'@YS: ' + transform(ltNow, '@YS')
messagebox(lcMessage, 0, 'VFP formats')

* Now show .NET date/datetime formats.

lcMessage = 'No format: ' + FormatValue(ltNow) + chr(13) + ;
	'MMM dd, yyyy: ' + FormatValue(ltNow, 'MMM dd, yyyy') + chr(13) + ;
	'MMMM dd, yyyy: ' + FormatValue(ltNow, 'MMMM dd, yyyy') + chr(13) + ;
	'HH:mm:ss: ' + FormatValue(ltNow, 'HH:mm:ss') + chr(13) + ;
	'h:m:s tt: ' + FormatValue(ltNow, 'h:m:s tt') + chr(13) + ;
	'MMM d @ HH:mm: ' + FormatValue(ltNow, 'MMM d @ HH:mm') + chr(13) + ;
	'r (RFC format): ' + FormatValue(ltNow, 'r') + chr(13) + ;
	'u (Universal sortable): ' + FormatValue(ltNow, 'u')
messagebox(lcMessage, 0, '.NET formats')

* .NET numeric formats.

lnValue = 1233.2255
lnInt   = int(lnValue)
lcMessage = 'No format: ' + FormatValue(lnValue) + chr(13) + ;
	'c2: ' + FormatValue(lnValue, 'c2') + chr(13) + ;
	'n2: ' + FormatValue(lnValue, 'n2') + chr(13) + ;
	'd7: ' + FormatValue(lnInt, 'd7') + chr(13) + ;
	'p1: ' + FormatValue(lnInt/1000, 'p1')
messagebox(lcMessage, 0, '.NET formats')
