local lcFile, ;
	loBridge, ;
	loFox

* Show a VFP GETFILE() dialog.

lcFile = getfile('Image Files (*.bmp, *.jpg, *.gif):bmp,jpg,gif', ;
    'Select Image')
if not empty(lcFile)
	messagebox(lcFile)
endif not empty(lcFile)

* Create the wwDotNetBridge object.

do wwDotNetBridge
loBridge = GetwwDotNetBridge()

* Load our assembly and instantiate the Dialogs class.

loBridge.LoadAssembly('FileDialog.dll')
loFox = loBridge.CreateInstance('FileDialog.Dialogs')

* Set the necessary properties, then display the dialog.

loFox.FileName    = 'add.bmp'
loFox.InitialDir  = home() + 'FFC\Graphics'
loFox.Filter      = 'Image Files (*.bmp, *.jpg, *.gif)|*.bmp;*.jpg;' + ;
    '*.gif|All files (*.*)|*.*'
loFox.Title       = 'Select Image'
loFox.MultiSelect = .T.
lcFile            = loFox.ShowOpenDialog()
if not empty(lcFile)
	messagebox('You selected:' + chr(13) + chr(13) + lcFile)
endif not empty(lcFile)
