* Set up wwDotNetBridge.

do wwDotNetBridge
oBridge = GetwwDotNetBridge()
oBridge.LoadAssembly('Encryption.dll')
oBridge.LoadAssembly('SMS.dll')

* Set the SMS properties.

loSMS             = oBridge.CreateInstance('SMS.SMSLibrary')
loSMS.Server      = 'smtp.gmail.com'
loSMS.Port        = 587
loSMS.SenderName  = 'Doug Hennig'
loSMS.SenderEmail = 'doug.o.hennig@gmail.com'
loSMS.Password    = DecryptString(filetostr('DontDeploy\password.txt'), ;
	filetostr('DontDeploy\key.txt'))
loSMS.UseSSL      = .T.

* Display a list of countries.

loCountries = oBridge.GetPropertyEx(loSMS, 'Countries')
lcCountries = ''
for lnI = 0 to loCountries.Count - 1
	lcCountry   = loCountries.Item(lnI)
	lcCountries = lcCountries + lcCountry + chr(13)
next lnI
messagebox(lcCountries, 0, 'Countries')

* Display the carriers for Canada.

loCarriers = oBridge.InvokeMethod(loSMS, 'GetCarriersForCountry', 'Canada')
lcCarriers = ''
for lnI = 0 to loCarriers.Count - 1
	lcCarrier  = loCarriers.Item(lnI)
	lcCarriers = lcCarriers + lcCarrier + chr(13)
next lnI
messagebox(lcCarriers, 0, 'Carriers for Canada')

* Get the emails for MTS.

loEmails = oBridge.InvokeMethod(loSMS, 'GetEmailsForCarrier', 'Canada', ;
	'Manitoba Telecom/MTS Mobility')
lcEmails = ''
for lnI = 0 to loEmails.Count - 1
	lcEmail  = loEmails.Item(lnI)
	lcEmails = lcEmails + lcEmail + chr(13)
next lnI
messagebox(lcEmails, 0, 'Emails for MTS')

* Send a text message.

lcPhone  = filetostr('DontDeploy\phone.txt')
llReturn = loSMS.SendMessage('Doug Hennig', lcPhone, ;
	'text.mtsmobility.com', 'FoxCon', 'SMS sent by VFP')
if not llReturn
	messagebox(loSMS.ErrorMessage)
endif not llReturn
